Subject: Re: next-20190215 build: 2 failures 19 warnings (next-20190215)

From: Thierry Reding <[email-masked]>
Date: Mon, 18 Feb 2019 16:08:54 +0100

On Mon, Feb 18, 2019 at 01:09:21PM +0100, Greg Kroah-Hartman wrote:
> On Mon, Feb 18, 2019 at 11:32:17AM +0000, Mark Brown wrote:
> > On Fri, Feb 15, 2019 at 08:51:48PM +0000, Build bot for Mark Brown wrote:
> > 
> > The build failure with mbox_fush() in the tegra-tcu driver that was
> > initially reported two weeks ago is still present in -next (this report
> > is from Friday but it's also present today):
> > 
> > > 	arm64-allmodconfig
> > > ERROR: "mbox_flush" [drivers/tty/serial/tegra-tcu.ko] undefined!
> > > 
> > > 	arm-allmodconfig
> > > ERROR: "mbox_flush" [drivers/tty/serial/tegra-tcu.ko] undefined!
> > 
> > Is there any progress on getting a fix merged?
> 
> I can take the fix in my tty tree if I get an ack from the mbox
> maintainer...

Maybe we can do the below until Jassi picks up the proper fix. There is
no hardware currently where we'd want to build the TCU driver as a
loadable module, so that would be fine for now.

It's a bit of churn because I'd want to revert that later on, but it's
not too bad and would get linux-next back on track.

Thierry

--- >8 ---
From 5086e2ac9359c8d24d88ce1beeb7651e00401e1e Mon Sep 17 00:00:00 2001
From: Thierry Reding <[email-masked]>
Date: Mon, 18 Feb 2019 16:04:49 +0100
Subject: [PATCH] serial: tegra-tcu: Do not allow building as a module

The Tegra TCU driver relies on a function implemented in the mailbox
subsystem but is not exported. To avoid link errors in builders, don't
allow the driver to be built as a module. The proper fix is to export
the mailbox API, but until that happens, use this quick fix.

Signed-off-by: Thierry Reding <[email-masked]>
---
 drivers/tty/serial/Kconfig | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/tty/serial/Kconfig b/drivers/tty/serial/Kconfig
index 72966bc0ac76..e46a285fb8bb 100644
--- a/drivers/tty/serial/Kconfig
+++ b/drivers/tty/serial/Kconfig
@@ -336,7 +336,7 @@ config SERIAL_TEGRA
 	  and better performance.
 
 config SERIAL_TEGRA_TCU
-	tristate "NVIDIA Tegra Combined UART"
+	bool "NVIDIA Tegra Combined UART"
 	depends on ARCH_TEGRA && TEGRA_HSP_MBOX
 	select SERIAL_CORE
 	help
-- 
2.20.1

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel